#include <assert.h>
#include <unistd.h>
#include <pwd.h>
#include "common.h"

int		search(uid_t uid, FILE *f);

void main(int argc, char **argv) {
  FILE *tmp_user;
  UserRec ur;
  int docopy = 0;
  char tuser[16];
  strcpy(tuser, "/tmp/XXXXXX"); mktemp(tuser);
  userFileOpen();
  tmp_user = fopen(tuser, "w+b"); assert(tmp_user != NULL);
  while (!userFileRead(&ur))
    if (getpwuid(ur.uid) == NULL || !search(ur.uid, tmp_user)) docopy = 1;
    else fwrite(&ur, sizeof(UserRec), 1, tmp_user);
  userFileClose(); fclose(tmp_user);
  if (docopy) fCopy(tuser, (char*)userFilePath);
  unlink(tuser);
}

int search(uid_t uid, FILE *f) {
  int res = 1;
  UserRec ur;
  rewind(f);
  while (fread(&ur, sizeof(UserRec), 1, f)) {
    if (ur.uid == uid) {
      res = 0;
      break;
    }
  }
  return res;
}
